Libreoffice 4.0 no aparece en el menú de aplicaciones de 12.4

Imagen de Ebeldur
0 puntos

Hola a todos, acabo de actualizar Libreoffice a través de repositorios y he instalado la versión 4.0, que funciona bien en mi Ubuntu 12.04, pero tengo un problema:
En el menú de aplicaciones no aparece ninguno de los lanzadores del programa, y aunque he conseguido ponerlos en la barra de accesos rápidos de mi sistema, no puedo abrir documentos creados anteriormente a no ser que primero abra el programa y después lo abra.
Mi pregunta es ¿alguien ha tenido un problema parecido? ¿cómo puedo hacer para que los accesos a las aplicaciones del programa salgan en el menú y se ejecuten directamente?

Imagen de Goyo
+1
0
-1

Lo que debes hace es leer el archivo README (como su propio nombre indica) en el que se explica que debes instalar también el paquete libreoffice4.0-debian-menus que se encuentra en el directorio desktop-integration.

+1
0
-1
Imagen de Ebeldur
+1
0
-1

He buscado todos los archivos, he eliminado todo rastro de la versión 3.6 de Synaptics... pero no encuentro el archivo que dices.

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Goyo
+1
0
-1

Al descomprimir el archivo LibreOffice_4.0.0_Linux_x86_deb.tar.gz se crea normalmente un directorio llamado LibreOffice_4.0.0_Linux_x86_deb, dentro de este directorio hay otro llamado readmes y dentro de éste un archivo llamado README_en-US.

NB. donde pongo "x86" puede ser "x86-64" si usas la versión de 64 bits.

+1
0
-1
Imagen de Ebeldur
+1
0
-1

He descargado el archivo de la página de libreoffice, y al tratar de descomprimir e instalar me aparece lo siguiente:
Seleccionando paquete libreoffice-debian-menus previamente no seleccionado
dpkg: acerca de libreoffice4.0-debian-menus_4.0.1-2_all.deb que contiene libreoffice-debian-menus:
libreoffice-core entra en conflicto con libreoffice-unbundled
libreoffice-debian-menus proporciona libreoffice-unbundled y va a ser instalado.
dpkg: error al procesar libreoffice4.0-debian-menus_4.0.1-2_all.deb (--install):
paquetes en conflicto - no se instalará libreoffice-debian-menus
Se encontraron errores al procesar:
libreoffice4.0-debian-menus_4.0.1-2_all.deb

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Goyo
+1
0
-1

¡Uh! Lo siento, creo que no te leí bien y te he aconsejado mal.

Para instalar con los paquetes de la web de LibreOffice haz como dice Gabriel.
Para instalar desde repositorios usa alguno de estos:
https://launchpad.net/~libreoffice/+archive/ppa
https://launchpad.net/~libreoffice/+archive/libreoffice-4-0

Los paquetes de la web de LibreOffice no son compatibles con los de los repositorios, por eso ocurrió un error al instalar el paquete que te dije.

+1
0
-1
Imagen de Ebeldur
+1
0
-1

Lamentablemente me da el mismo error con libreoffice-core

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Jose Luis 1320
+1
0
-1

1) Agregué el repositorio ppa:libreoffice/libreoffice-4-0

2) Actualicé Libreoffice y tengo los lanzadores, tanto en KDE, Unity, Gnome Shell y Gnome clásico.

En Ubuntu 12.04.

¿Que repositorio usaste y en que interfaz tienes el problema; Unity?, Gnome-shell?

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Ebeldur
+1
0
-1

Agregué ppa:libreoffice/ppa
También he añadido el que indicas tú, pero al actualizar me dice que ya se encuentra todo actualizado.

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Goyo
+1
0
-1

¿No hay un archivo llamado libreoffice-writer.desktop en /usr/share/applications/?

+1
0
-1
Imagen de Jose Luis 1320
+1
0
-1

El repositorio que agregaste antes, tiene paquetes inestables.

Debes quitar ese repositorio (el ppa:libreoffice/ppa) primero, y luego remover los paquetes que instaló para poder usar el otro.

Puedes valerte de ppa-purge, tengo entendido que ese programa remueve el repositorio y los paquetes de este mismo, más no estoy seguro si en verdad remueva los paquetes, te toca invertigarlo a tí.

El repositorio ppa:libreoffice/ppa contiene versiones superiores (e inestables) al repositorio estable (ppa:libreoffice/libreoffice-4-0) es por eso que cuando quieres actualizar el sistema no lo hace.

Saludos.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Ebeldur
+1
0
-1

He hecho lo que me has dicho, he desinstalado todo, el repositorio y todo lo que me sonaba a libreoffice desde synaptic. He hecho autoremove, remove y purge. He vuelto a ordenar la instalación de libreoffice.
Pero me da el mismo problerma, y además al ver la versión sigue saliendo que es la 4.0.1

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Jose Luis 1320
+1
0
-1

A mi no me sirve de nada que digas "hice autoremove purge y apt-get remove", eso no explica nada, necesito que digas que cosas hiciste, paso por paso, para ver si te equivocaste en algo o como podemos ayudarte.

Saludos!.

+1
0
-1

"Yo sólo se que no se nada"
-Sócrates, filósofo griego.
-Normas del foro

Imagen de Ebeldur
+1
0
-1

Pues que en consola ejecuté la orden remove libreoffice, luego autoremove (con apt-get por supuesto), después instalé ppa- purge y parece que borró todo lo que se había instalado en el repositorio que eliminé. Después volví a instalar libreoffice, y cuando lo ejecuté todo seguía igual. Esta mañana se me ha actualizado y parece que el repositorio estable incluye la versión 4.0.1, pero el problema persiste.

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Ebeldur
+1
0
-1

No sé por qué, pero no consigo instalar el paquete libreoffice-debian-menus, icluso tras la íltuma actualización. ¿alguien podría ayudarme a localizarlo?

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/

Imagen de Alcruz
+1
0
-1

Recomiendo hacer
sudo apt-get remove --purge libreoffice*
No estaría demás purtgar posibles restos de openoffice
sudo apt-get remove --purge openoffice*
Luego proceder a instalar ya sea desde ppa o desde el sitio oficial

+1
0
-1
Imagen de Ebeldur
+1
0
-1

Nada, sigue sin salir.

+1
0
-1

Mi página personal:

http://franyv.wordpress.com/